# Set Trilinos options to build and use only necessary packages.
SET(Trilinos_ENABLE_ALL_PACKAGES OFF)
SET(Trilinos_ENABLE_EXAMPLES OFF)
SET(Trilinos_ENABLE_TESTS OFF)
SET(BUILD_SHARED_LIBS ON)
SET(Trilinos_ENABLE_ShyLU_NodeBasker ON)
SET(Trilinos_ASSERT_MISSING_PACKAGES OFF)
SET(Xpetra_ENABLE_Tpetra OFF)
SET(Trilinos_ENABLE_ThyraCore OFF)
SET(NOX_ENABLE_ThyraEpetraExtAdapters OFF)
SET(Trilinos_ENABLE_Gtest OFF)
SET(Trilinos_ENABLE_Epetra OFF)
SET(Trilinos_ENABLE_Galeri OFF)
SET(Trilinos_ENABLE_AztecOO OFF)
SET(Trilinos_ENABLE_Ifpack OFF)
SET(Trilinos_ENABLE_KokkosCore ON)
SET(Trilinos_ENABLE_ShyLU_DDBDDC ON)
SET(DTrilinos_EXTRA_LINK_FLAGS "-lws2_32")

